Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Functions | Variables
tablefind.cpp File Reference
`#include "tablefind.h"`
`#include <math.h>`
`#include "allheaders.h"`
`#include "colpartitionset.h"`
`#include "tablerecog.h"`

Go to the source code of this file.

## Namespaces

namespace | tesseract

## Functions

template<typename T >
void | tesseract::DeleteObject (T *object)

## Variables

const int | tesseract::kMaxVerticalSpacing = 500
const int | tesseract::kMaxBlobWidth = 500
const double | tesseract::kSplitPartitionSize = 2.0
const double | tesseract::kAllowTextHeight = 0.5
const double | tesseract::kAllowTextWidth = 0.6
const double | tesseract::kAllowTextArea = 0.8
const double | tesseract::kAllowBlobHeight = 0.3
const double | tesseract::kAllowBlobWidth = 0.4
const double | tesseract::kAllowBlobArea = 0.05
const int | tesseract::kMinBoxesInTextPartition = 10
const int | tesseract::kMaxBoxesInDataPartition = 20
const double | tesseract::kMaxGapInTextPartition = 4.0
const double | tesseract::kMinMaxGapInTextPartition = 0.5
const double | tesseract::kMaxBlobOverlapFactor = 4.0
const double | tesseract::kMaxTableCellXheight = 2.0
const int | tesseract::kMaxColumnHeaderDistance = 4
const double | tesseract::kTableColumnThreshold = 3.0
const int | tesseract::kRulingVerticalMargin = 3
const double | tesseract::kMinOverlapWithTable = 0.6
const int | tesseract::kSideSpaceMargin = 10
const double | tesseract::kSmallTableProjectionThreshold = 0.35
const double | tesseract::kLargeTableProjectionThreshold = 0.45
const int | tesseract::kLargeTableRowCount = 6
const int | tesseract::kMinRowsInTable = 3
const double | tesseract::kRequiredFullJustifiedSpacing = 4.0
const int | tesseract::kAdjacentLeaderSearchPadding = 2
const double | tesseract::kParagraphEndingPreviousLineRatio = 1.3
const double | tesseract::kMaxParagraphEndingLeftSpaceMultiple = 3.0
const double | tesseract::kMinParagraphEndingTextToWhitespaceRatio = 3.0
const double | tesseract::kMaxXProjectionGapFactor = 2.0
const double | tesseract::kStrokeWidthFractionalTolerance = 0.25
bool | tesseract::textord_dump_table_images = false
bool | tesseract::textord_show_tables = false
bool | tesseract::textord_tablefind_show_mark = false
bool | tesseract::textord_tablefind_show_stats = false
bool | tesseract::textord_tablefind_recognize_tables = false